Skip to main content
POST
/
api
/
v3
/
diamonds
/
get_diamonds_by_merchant_templates
Diamonds AI Search
curl --request POST \
  --url https://api-staging.unbridaled.ai/api/v3/diamonds/get_diamonds_by_merchant_templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "shape": "oval",
  "types": [
    "mined",
    "lab grown"
  ],
  "count_per_grade": 1,
  "ratio_min": 1.35,
  "ratio_max": 1.55,
  "merchant_template_filters": {
    "group": "ai_solitaire"
  },
  "weight": "1.25"
}
'
[
  {
    "base_currency_code": "USD",
    "base_retail_price": 490,
    "base_wholesale_price": 430,
    "can_hold": true,
    "cert_num": "524226131",
    "cert_url": "https://api.igi.org/viewpdf.php?r=524226131",
    "clarity": "VS1",
    "clarity_max": null,
    "color": "F",
    "color_max": null,
    "country_code": "USA",
    "created_on": "2023-12-04 15:34:45.897194",
    "crown_angle": 37.5,
    "culet_size": "N",
    "currency_code": "USD",
    "cut_code": "brilliant_cut",
    "cut_grade": null,
    "cut_grade_description": null,
    "days_to_return": 0,
    "delivery_days_max": 2,
    "delivery_days_min": 1,
    "depth": 3.84,
    "depth_percentage": 62.1,
    "enabled": true,
    "exchange_rate": 1,
    "eye_clean": "yes",
    "fancy_color_intensity": null,
    "fluorescence": "None",
    "girdle_max": "MD",
    "girdle_min": "TN",
    "grow_method": "cvd",
    "hold_merchant_uuid": null,
    "id": 909651,
    "image_bottom_url": null,
    "image_top_url": "",
    "is_fancy": false,
    "is_manual": false,
    "is_pair": false,
    "is_sustainable": false,
    "lab": "IGI",
    "length": 8.68,
    "media_requested": false,
    "memo": true,
    "memo_days_to_return": 5,
    "merchant_template_group": "ai_solitaire",
    "merchant_template_label": "IDEAL",
    "merchant_template_position": 1,
    "merchant_template_uuid": "2d978b0f-8541-4825-8e34-353fea78bb84",
    "off_rap_percentage": null,
    "on_hold": false,
    "original_imported_ext_url": "https://hd360video.com/video/Get?q=BMLGD-93456",
    "overtone": null,
    "parcel": false,
    "pavilion_angle": 40.3,
    "pavilion_depth": 43.5,
    "pcs": 1,
    "polish_grade": "EX",
    "product_type": "diamond",
    "quality": null,
    "quantity": 1,
    "ratio": 1.4,
    "ratio_group": "rectangular",
    "retail_price": 490,
    "returnable": null,
    "shade": null,
    "shape": "oval",
    "shape_icon_url": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.svg",
    "shape_icon_url_png": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_icons/shape-oval.png",
    "shape_image_url": "https://unbridaled-dev.s3.amazonaws.com/das/static/images/shape_images/brilliant-oval.png",
    "sku": "UB62945EDB2B",
    "stone_type": null,
    "sustainability_details": null,
    "symmetry_grade": "EX",
    "table_percentage": 60,
    "type": "lab grown",
    "updated_on": "2024-02-18 10:55:52.577049",
    "ux_url": "https://unbridaled-dev.s3.amazonaws.com/das/v360/ub/v1/player/video/player.html?d=UB62945EDB2B",
    "v360_info": null,
    "v360_json_base_url": "https://unbridaled-dev.s3.amazonaws.com/das/uploads/v360/imaged/UB62945EDB2B",
    "video_url": "",
    "weight": 1.29,
    "wholesale_price": 430,
    "width": 6.18
  }
]

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
weight
number
required

Weight of the diamond.

shape
string
required

Shape to perform the AI search on.

types
enum<string>[]
required
Available options:
mined,
lab grown
currency_code
string

ISO-3 currency code to return the prices in. Defaults to USD.

count_per_grade
integer

Determines if to return 1 result or 2 result per template. Use 1 for single and 2 for pair.

Required range: 1 <= x <= 2
ratio_min
number
ratio_max
number
merchant_template_filters
object

Response

200 - application/json

OK

base_currency_code
string
base_retail_price
integer
base_wholesale_price
integer
can_hold
boolean
cert_num
string
cert_url
string
clarity
string
clarity_max
null
color
string
color_max
null
country_code
string
created_on
string
crown_angle
null | number
culet_size
null | string
currency_code
string
cut_code
string
cut_grade
null
cut_grade_description
null
days_to_return
integer
delivery_days_max
integer
delivery_days_min
integer
depth
number
depth_percentage
number
enabled
boolean
exchange_rate
integer
eye_clean
string
fancy_color_intensity
null
fluorescence
string
girdle_max
string
girdle_min
string
grow_method
null | string
hold_merchant_uuid
null
id
integer
image_bottom_url
null
image_top_url
string
is_fancy
boolean
is_manual
boolean
is_pair
boolean
is_sustainable
boolean
lab
string
length
number
media_requested
boolean
memo
boolean
memo_days_to_return
integer
merchant_template_group
string
merchant_template_label
string

The label of the merchant template the diamond was classified under. For example, if the label of the merchant template is "ideal", then the label will return "ideal" in the response.

merchant_template_position
integer
merchant_template_uuid
string
off_rap_percentage
null
on_hold
boolean
original_imported_ext_url
string
overtone
null
parcel
boolean
pavilion_angle
null | number
pavilion_depth
null | number
pcs
integer
polish_grade
string
product_type
string
quality
null
quantity
integer
ratio
number
ratio_group
string
retail_price
integer
returnable
boolean | null
shade
null
shape
string
shape_icon_url
string
shape_icon_url_png
string
shape_image_url
string
sku
string
stone_type
null
sustainability_details
null
symmetry_grade
string
table_percentage
integer
type
string
updated_on
string
ux_url
string
v360_info
null
v360_json_base_url
string
video_url
string
weight
number
wholesale_price
integer
width
number